> ## Documentation Index
> Fetch the complete documentation index at: https://www.klavis.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create

> Creates a URL for a specified MCP server,
validating the request with an API key and user details.
Returns the existing server URL if it already exists for the user.
If OAuth is configured for the server, also returns the base OAuth authorization URL.
Note that some servers have hundreds of tools and therefore only expose the Strata tools.



## OpenAPI

````yaml post /mcp-server/instance/create
openapi: 3.1.0
info:
  title: Klavis AI (https://www.klavis.ai)
  description: Klavis AI - Open Source MCP Integrations for AI Applications
  version: 0.1.0
servers:
  - url: https://api.klavis.ai
    description: US Production server
  - url: https://api.eu.klavis.ai
    description: EU Production server
security: []
paths:
  /mcp-server/instance/create:
    post:
      tags:
        - mcp-server
      summary: Create
      description: >-
        Creates a URL for a specified MCP server,

        validating the request with an API key and user details.

        Returns the existing server URL if it already exists for the user.

        If OAuth is configured for the server, also returns the base OAuth
        authorization URL.

        Note that some servers have hundreds of tools and therefore only expose
        the Strata tools.
      operationId: createServerInstance
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateServerRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateServerResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    CreateServerRequest:
      properties:
        serverName:
          $ref: '#/components/schemas/McpServerName'
          description: >-
            The name of the target MCP server. Case-insensitive (e.g., 'google
            calendar', 'GOOGLE_CALENDAR', 'Google Calendar' are all valid).
        userId:
          type: string
          minLength: 1
          title: Userid
          description: >-
            The unique identifier for the user. The server instance along with
            the all the authentication data will belong to that specific user
            only. It can be a UUID from the database, a unique email address
            from the user, etc.
        platformName:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
          title: Platformname
          description: The name of the platform associated with the user. Optional.
        connectionType:
          $ref: '#/components/schemas/ConnectionType'
          description: >-
            The connection type to use for the MCP server. Default is
            STREAMABLE_HTTP.
          default: StreamableHttp
        legacy:
          type: boolean
          title: Legacy
          description: Whether to use the legacy server. Default is False.
          default: false
        isReadOnly:
          type: boolean
          title: Isreadonly
          description: >-
            Whether the MCP server connection is read-only. When true, write
            operations will be restricted. Default is False.
          default: false
      type: object
      required:
        - serverName
        - userId
      title: CreateServerRequest
    CreateServerResponse:
      properties:
        serverUrl:
          type: string
          title: Serverurl
          description: >-
            The full URL for connecting to the MCP server, including the
            instance ID.
        instanceId:
          type: string
          title: Instanceid
          description: >-
            The unique identifier for this specific server connection
            integration instance.
        oauthUrl:
          anyOf:
            - type: string
            - type: 'null'
          title: Oauthurl
          description: >-
            The OAuth URL for authentication if available, supports white label
            if configured.
      type: object
      required:
        - serverUrl
        - instanceId
      title: CreateServerResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    McpServerName:
      type: string
      enum:
        - Affinity
        - Airtable
        - Amplitude
        - Asana
        - Attio
        - Box
        - Brave Search
        - Cal.com
        - Canva
        - ClickUp
        - Close
        - Cloudflare
        - Coinbase
        - Confluence
        - Dialpad
        - Discord
        - Doc2markdown
        - DocuSign
        - Dropbox
        - ElevenLabs
        - Exa
        - Fathom
        - Fetch URL
        - Figma
        - Fireflies
        - Firecrawl Deep Research
        - Firecrawl Web Search
        - Freshdesk
        - GitHub
        - GitLab
        - Gmail
        - Gong
        - Google Calendar
        - Google Docs
        - Google Drive
        - Google Jobs
        - Google Sheets
        - Google Forms
        - Google Cloud
        - GoogleWorkspaceAtlas
        - Hacker News
        - Heygen
        - HubSpot
        - Intercom
        - Jira
        - Klaviyo
        - Klavis ReportGen
        - Linear
        - LinkedIn
        - Markdown2doc
        - Mem0
        - Microsoft Teams
        - Mixpanel
        - Monday
        - Moneybird
        - Motion
        - Notion
        - OneDrive
        - Openrouter
        - Outlook Mail
        - Outlook Calendar
        - PagerDuty
        - Pipedrive
        - Plai
        - Postgres
        - PostHog
        - Postman
        - QuickBooks
        - Resend
        - Salesforce
        - SendGrid
        - Shopify
        - Slack
        - Snowflake
        - Stripe
        - Supabase
        - Tavily
        - Vercel
        - WhatsApp
        - WordPress
        - YouTube
        - Zendesk
        - ServiceNow
        - PayPal
        - Sentry
        - Netlify
        - Hugging Face
        - Square
        - Clockwise
        - Jotform
        - Honeycomb
        - Zoho Mail
        - Sharesight
        - Weights and Biases
        - Instagram
        - MongoDB
      title: McpServerName
    ConnectionType:
      type: string
      enum:
        - SSE
        - StreamableHttp
      title: ConnectionType
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      description: Your Klavis AI API key.
      scheme: bearer
      x-fern-bearer:
        name: api_key

````